List processing attempts

GET/automations/diamond/{diamond_id}/memberships/{membership_id}/processing-attempts

Returns the processing attempts requested for the membership. All attempts are returned in a single response, without pagination.

AuthorizationBearer <token>

Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.

In: header

Path Parameters

diamond_id*string
membership_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/automations/diamond/string/memberships/string/processing-attempts"
{  "data": [    {      "created_at": "2019-08-24T14:15:22Z",      "effects": {        "communication_sent": true,        "stage_confirmed": true      },      "error": {},      "event_id": "string",      "id": "string",      "import_id": "string",      "membership_id": "string",      "object": "processing_attempt",      "operation_id": "string",      "requested_by": {        "id": "string",        "kind": "credential"      },      "selection": {        "mode": "initial",        "rows": 0      },      "status": "queued"    }  ]}